%define version	1.3.5
%define release	2mdk

%define api_version 1.3
%define major 6
%define libname %mklibname gnomevfsmm %{api_version}

%define req_gtkmm_version 2.0.0
%define req_gnomevfs_version 2.0.0

Summary: 	A C++ wrapper for gnome-vfs
Name: 		gnome-vfsmm
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
Source: 	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/1.3/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtkmm2.0-devel >= %{req_gtkmm_version}
BuildRequires:	gnome-vfs2-devel >= %{req_gnomevfs_version}
Buildrequires:	doxygen

%description
The %{name} library provides a C++ wrapper for gnome-vfs library,
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{major}
Summary:	A C++ wrapper for gnome-vfs
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}_%{major}
The %{name} library provides a C++ wrapper for gnome-vfs library,
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{major}-devel
Summary:	Development files for gnome-vfs C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname}_%{major} = %{version}
Requires:	gtkmm2.0-devel >= %{req_gtkmm_version}
Requires:	gnome-vfs2-devel >= %{req_gnomevfs_version}

%description -n %{libname}_%{major}-devel
This package contains all necessary files, including libraries and
headers, that will need to develop or compile applications which use
%{name}, the C++ interface to gnome-vfs.

%prep
%setup -q

%build
# mdk doesn't have libtool 1.5
%define __libtoolize /bin/true

%configure2_5x --enable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}_%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-, root, root)
%doc docs/reference/html COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig
%{_libdir}/%{name}-2.0

###########################################################################
%changelog
* Fri Dec 12 2003 Abel Cheung <deaddog@deaddog.org> 1.3.5-2mdk
- Add provides for compatability

* Fri Dec 12 2003 Abel Cheung <deaddog@deaddog.org> 1.3.5-1mdk
- First Mandrake package (based on original spec)

